# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
"key":"mypaint-w64",
   "name":"MyPaint",
   "version":"2.0.1.g478280f2-1",
   "install_date":"",
   "install_location":"\"C:\\Program Files\\mypaint-w64\"",
   "uninstall_string":"\"C:\\Program Files\\mypaint-w64\\uninstall.exe\"",
   "publisher":"Martin Renold and the MyPaint Development Team",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('mypaint-*-installer.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='mypaint-w64',
        min_version=control.get_software_version(),
        get_version=get_version,
        timeout=600,
    )


def get_version(app_registry_dict):
    # Sépare la chaîne par les points et autres délimiteurs
    version_full = app_registry_dict["version"]
    
    # On split par '.' puis on rejoint les trois premiers segments avec '.'
    version_parts = version_full.split('.')
    version = '.'.join(version_parts[:3])
    
    return version


